<?php
global $main_dir, $create_file_from_menu, $rewrite, $page;

$main_dir = "./main/";
$default_page = "home";
$create_file_from_menu = TRUE;
//$create_file_from_menu = FALSE;

ini_set('display_errors', 1);
error_reporting(E_ALL);

if(isset($_GET['page'])){
	$page = $_GET['page'];
	$rewrite = isset($_GET['rewrite']);
}elseif(isset($argc)){ // detect command line mode
	if($argc < 2)
		die("Usage: ".$argv[0]." page_name [rewrite]\n");
	$page = $argv[1];
	$rewrite = ($argc >= 3);
}else{
	$page = $default_page;
	$rewrite = isset($_GET['rewrite']);
}

// make sure $page doesn't include '..' (security risk)
if(strpos($page, '..') !== FALSE)
	$page = $default_page;

//echo "page: $page\n";

// if the file doesn't exist, 404
if ( (!@include $main_dir.$page.'.php') && (!@include $main_dir.'404.php') )
	die("404 - Page Not Found.\n");

echoFooter();
exit;

function nameToPage($name){
	$ret = strtolower(trim($name));
	$ret = str_replace(".", "", $ret);
	$ret = str_replace(" ", "_", $ret);
	global $create_file_from_menu;
	if($create_file_from_menu){
		// then write a file stub
		global $main_dir;
		$fname = $main_dir.$ret.'.php';
		if(!file_exists($fname)){
			//echo "creating file: $fname";
			$contents = "<?php echoHeader(\"$name\"); ?>\nUnder Construction!";
			file_put_contents($fname, utf8_encode($contents)) or die("file_put_contents error!");
		}
	}
	return $ret;
}

function echoMenu($menu, $space, $class = null){
	global $page, $rewrite;
	echo $space.($class == null ? '<ul>' : "<ul class=\"$class\">")."\n";
	$link = $rewrite? '%s.html' : '?page=%s';
	$template = $space."\t".'<li><a href="%s"%s>%s</a>';
	//for ($i = 1; $i <= 10; $i++){}
	foreach($menu as $index => $li){
		if(is_array($li)){
			printf($template, '#', '', $index);
			echo "\n";
			echoMenu($li, $space."\t\t", "subnav");
			echo $space."\t";
		}else{
			$page_name = nameToPage($li);
			printf($template, sprintf($link, $page_name), ($page == $page_name) ? 'class="on"' : '', $li);
		}
		echo "</li>\n";
	}
	echo "$space</ul>\n";
}

function echoHeader($title = null){
	global $gHeadCalled;
	if($gHeadCalled) return;
	$gHeadCalled = true;
	$menu = array("Home", "Brochure" =>
		array("Letter from Fr. Jim Manning", "Capital Campaign Prayer", "The St. Mary Capital Campaign",
			"Campaign Readiness", "What do we have to gain?", "Campaign Leaders",
			"Frequently Asked Questions", "Giving Plans", "Levels of Giving"),
		"History of Parish", "Corporate Donors", "Ways to Give", "Proposed Architectural Drawings", "Parish Website", "Contact Us");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<title>St. Mary Capital Campaign<?php if($title != null) echo " - $title"; ?></title>
		<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
		<meta name="keywords" content="" />
		<meta name="description" content="" />
		<meta http-equiv="imagetoolbar" content="no" />
		<link href="./cc.css" rel="stylesheet" type="text/css" />
		<!--[if lte IE 6]>
		<style type="text/css">
			#background {
				width: 0;
				height: 0;
			}
			.subnav {
				position:relative;
				left: 0px;
				margin-left: 20px;
				background: #17375E;
			}
		</style>
		<![endif]-->
	</head>

	<body>
		<div id="wrapper">
			<div id="navcolumn">
				<img src="./img/mary_corner.jpg" alt="Mary Stained Glass" />
<?php
	echoMenu($menu, "\t\t\t\t", "nav");
?>
			</div>
			<div id="contentcolumn">
				<div id="header">
					<div id="title">
						<?php echo ($title == null) ? "St. Mary Capital Campaign" : $title; ?>
					</div>

					<div id="slogan">
						"One Body: Embracing Our History, Building Our Future"
					</div>
				</div>
				<img id="background" src="./img/mary.jpg" alt="" />
				<div id="content">
<?php
}

function echoFooter(){
	global $gHeadCalled;
	if(!$gHeadCalled) return;
?>

				</div>
			</div>
		</div>
	</body>
</html>
<?php
}
?>